Bug 89948 - Leap second tables for libtai and clockspeed require an update
Summary: Leap second tables for libtai and clockspeed require an update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mario Sergio Fujikawa Ferreira
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-12-04 22:50 UTC by Frank W. Josellis
Modified: 2005-12-23 20:24 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Frank W. Josellis 2005-12-04 22:50:02 UTC
A new leap second was announced by the IERS for the end of December 2005, cf.
http://hpiers.obspm.fr/eoppc/bul/bulc/bulletinc.dat

Accordingly, the leap second tables for devel/libtai and sysutils/clockspeed 
need to be updated in order to guarantee correct operation in 2006.

Fix: 

I suppose that leapsecs.dat of either port has to rebuilt, based on the
information in leapsecs.txt from the libtai sources. But I couldn't even
identify the format, so I'm not sure.
Comment 1 Edwin Groothuis freebsd_committer 2005-12-04 23:00:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lioux

Over to maintainer
Comment 2 Mario Sergio Fujikawa Ferreira freebsd_committer 2005-12-09 16:47:19 UTC
State Changed
From-To: open->suspended

leapseconds.dat file format is unknown
Comment 3 Mario Sergio Fujikawa Ferreira freebsd_committer 2005-12-23 20:24:02 UTC
State Changed
From-To: suspended->closed

Committed. Thanks!